org.opengis.cite.ogcapitiles10.conformance

## Class Conformance

- java.lang.Object
- - org.opengis.cite.ogcapitiles10.CommonFixture
  - - org.opengis.cite.ogcapitiles10.conformance.Conformance

-     public class Conformance
      extends CommonFixture

  Updated at the OGC API - Tiles Sprint 2020 by ghobona A.?.?. Conformance Path {root}/conformance
  Author:
    Lyn Goltz

- - ### Field Summary

    - ### Fields inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `missing_api_definition_error_message, missing_landing_page_error_message, requestLoggingFilter, responseLoggingFilter, rootUri`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conformance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object[][]` | `conformanceUris(org.testng.ITestContext testContext)`
    `(package private) List<RequirementClass>` | `parseAndValidateRequirementClasses(io.restassured.path.json.JsonPath jsonPath)`
    `void` | `storeRequirementClassesInTestContext(org.testng.ITestContext testContext)`
    `void` | `validateConformanceOperationAndResponse(TestPoint testPoint)` Implements Abstract test A.1 Partly addresses Requirement 7: /req/core/conformance-success

    - ### Methods inherited from class org.opengis.cite.ogcapitiles10.CommonFixture

      `clearMessages, formatLinkURI, getRequest, getResponse, init, initCommonFixture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Conformance

          public Conformance()

  - ### Method Detail

    - #### conformanceUris

          public Object[][] conformanceUris(org.testng.ITestContext testContext)

    - #### storeRequirementClassesInTestContext

          public void storeRequirementClassesInTestContext(org.testng.ITestContext testContext)

    - #### validateConformanceOperationAndResponse

          public void validateConformanceOperationAndResponse(TestPoint testPoint)

      Implements Abstract test A.1 Partly addresses Requirement 7: /req/core/conformance-success
      Parameters:
        `testPoint` - the test point to test, never `null`

    - #### parseAndValidateRequirementClasses

          List<RequirementClass> parseAndValidateRequirementClasses(io.restassured.path.json.JsonPath jsonPath)

      Parameters:
        `jsonPath` - never `null`
      Returns:
        the parsed requirement classes, never `null`
      Throws:
        `AssertionError` - if the json does not follow the expected structure

Copyright © 2024 Open Geospatial Consortium. All rights reserved.